/*===================================
		Copyright Yakibomb
*///=================================
function VSConds_Think_Validate_Entity(ent_data,ent_table_key) {
	
	local ent_datatable = ROOT[ent_data];
	if ( ent_datatable.len() == 2 ) { }
	else {
		local ententity = ent_datatable[VSCond_MAX_Conditions];
		local ent_validate = ent_datatable[VSCond_MAX_Conditions + 1];
		if ( ententity == ent_validate ) return false;
	}
	
	return true;
}

function VSConds_Think_Delete(ent_data,ent_table_key) {
	local ent_index = split(ent_data.tostring(),"_");
	ent_index = ent_index[2].tointeger();
	
	VSCOND_ENTS_UNDER_CONDS.remove(VSCOND_ENTS_UNDER_CONDS.find(ent_data));
	delete ROOT[ent_data];
	VSCONDS_RemoveThinkToCondALL(ent_index);
//	printl("DELETED " + ent_index);
}

function VSConds_Think() {
	if ( VSCOND_ENTS_UNDER_CONDS.len() <= 1 ) {
		//printl("I sleep"); 
		return VSCond_Think_SleepTime;
	}
	//printl("I run");
	
	foreach( ent_table_key,ent_data in VSCOND_ENTS_UNDER_CONDS )
	{
	//	foreach(k,v in VSCOND_ENTS_UNDER_CONDS) printl("asdf " + k + " " + v);
		if ( ent_data == null ) continue
		if ( VSConds_Think_Validate_Entity(ent_data,ent_table_key) ) {
			VSConds_Think_Delete(ent_data,ent_table_key);
			break;
		}
		ent_data = ROOT[ent_data];
		local ent = ent_data[VSCond_MAX_Conditions];
		local time = Time();
		
		foreach (condition,duration in ent_data ) {
			if ( condition >= VSCond_MAX_Conditions ) continue
			
			if ( !ent.IsEntValidAndAlive() ) {
				ent.RemoveVSCond(condition);
				delete ent_data[condition];
			}
			else if ( duration < 0 ) {
			}
			else if ( time >= duration ) {
				ent.RemoveVSCond(condition);
				delete ent_data[condition];
			}
		}
	}
	return VSCond_Think_RunTime;
}