/*===================================
		Copyright Yakibomb
*///=================================

/*
	Description
	- Player shouts and their hands are set on fire.
	- Works on all entities.
*/

class VS_COND_RAGE extends VSConds_Base
{
	function AddCond(entity,provider) { 
	//YELLING
		EntFireByHandle(entity,"SpeakResponseConcept","TLK_PLAYER_BATTLECRY",0.0,entity,entity);
		
	//Particles are cleared on condition end
		local headOrigin = entity.GetAttachmentOrigin(entity.LookupAttachment("head"));
		local leftFistOrigin = entity.GetAttachmentOrigin(entity.LookupAttachment("effect_hand_L"));
		local rightFistOrigin = entity.GetAttachmentOrigin(entity.LookupAttachment("effect_hand_R"));
		
		local head = VSCondFunctions.CreateTeamParticle(condition,entity, entity, headOrigin, "buildingdamage_smoke4")
		local leftFist = VSCondFunctions.CreateTeamParticle(condition,entity, entity, leftFistOrigin, "superrare_burning1")
		local rightFist = VSCondFunctions.CreateTeamParticle(condition,entity, entity, rightFistOrigin, "superrare_burning1")
		
		VSCondFunctions.SetParentAttachment("head",head,entity);
		VSCondFunctions.SetParentAttachment("effect_hand_L",leftFist,entity);
		VSCondFunctions.SetParentAttachment("effect_hand_R",rightFist,entity);
	}
	
	function RemoveCond(entity,provider) {	}
}