/*===================================
		Copyright Yakibomb
*///=================================


// Only boots main code once
if ( !( "VSConds_FirstBoot" in getroottable() ) ) {
	printl("AddVSCond Executing for the first time");
	::VSConds_FirstBoot <- true;
	
	::worldspawn <- Entities.First();
	::ROOT <- getroottable();
	
	IncludeScript("addvscond/code/vsconds_util.nut", ROOT);
	IncludeScript("addvscond/code/vsconds_main.nut", ROOT);
	IncludeScript("addvscond/code/vsconds_cleanup.nut", ROOT);
}
else {
// Runs this after first boot already happened
	VSCONDS_CLEANUP();
};

// This runs every boot
::VSCOND_COND_NAMES <- [];				//Condition string names
::VSCOND_ENTS_UNDER_CONDS <- [null];	//Entities under conditions
::InvisibleAttribute <- {};				//parented wearable to entity; for applying weapon attributes (not implemented) and particle origin fixes

IncludeScript("addvscond/settings.nut", ROOT);
IncludeScript("addvscond/code/vsconds_conditions_base.nut", ROOT)
IncludeScript("addvscond/conditions/_all_conditions.nut", ROOT)
IncludeScript("addvscond/code/vsconds_conditions_compiler.nut")


SpawnEntityFromTable("logic_script", {
	targetname	= "vscript_addvscond",
	vscripts	= "addvscond/code/vsconds_think",
	thinkfunction	= "VSConds_Think",
});

EntFireByHandle(worldspawn,"RunScriptCode","IncludeScript(\"addvscond/code/vsconds_insert_last.nut\")",0.0,worldspawn,worldspawn);
