/*===================================
		Copyright Yakibomb
*///=================================

/*
	Description
	- When the owner is in vicinity of an Amplifier (custom Engineer building), user is given crits.
*/

class VS_COND_AMPLIFIER_BEAMS extends VSConds_Base
{
	function AddCond(entity,provider) {
		if ( entity.GetClassname() != "player" ) return;
		
		provider = provider == null ? entity : provider
		
//Creates medic healbeam fluff around patient
//Deletes itself on condition end
		VSCondFunctions.CreateTeamParticle(condition,provider, entity, entity.GetOrigin(), "medic_radiusheal_red_volume","medic_radiusheal_blue_volume")
	//	VSCondFunctions.CreateTeamParticle(condition,provider, entity, entity.GetOrigin(), "soldierbuff_red_spikes","soldierbuff_blue_spikes")
	//	VSCondFunctions.CreateTeamParticle(condition,provider, entity, entity.GetOrigin(), "soldierbuff_red_spirial","soldierbuff_blue_spirial")
	
//Creates team-specific dispenser beam particles, originating from particle_origin
//Deletes itself on condition end
		local particle_origin = provider.GetOrigin() + provider.GetAbsAngles().Up()*90;
		
		VSCondFunctions.CreateBeamParticle(condition,provider, entity, particle_origin, "dispenser_beam_red_trail", "dispenser_beam_blue_trail")
		VSCondFunctions.CreateBeamParticle(condition,provider, entity, particle_origin, "medicgun_beam_red_invunglow", "medicgun_beam_blue_invunglow")
		VSCondFunctions.CreateBeamParticle(condition,provider, entity, particle_origin, "medicgun_beam_attrib_overheal_red", "medicgun_beam_attrib_overheal_blue")

	//Filter out non-player entities.
		if ( entity.GetClassname() != "player" ) return;
		
		entity.AddCondEx(56, -1, provider.GetOwner())
	}
	
	function RemoveCond(entity,provider) {
		if ( entity.GetClassname() != "player" ) return;
		
		entity.RemoveCond(56)
	}
}